Index: doc/src/sgml/problems.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/problems.sgml,v
retrieving revision 2.16
diff -c -r2.16 problems.sgml
*** doc/src/sgml/problems.sgml	29 Nov 2003 19:51:37 -0000	2.16
--- doc/src/sgml/problems.sgml	10 Dec 2003 21:00:25 -0000
***************
*** 18,24 ****
   <para>
    The following suggestions are intended to assist you in forming bug reports
    that can be handled in an effective fashion. No one is required to follow
!   them but it tends to be to everyone's advantage.
   </para>
  
   <para>
--- 18,24 ----
   <para>
    The following suggestions are intended to assist you in forming bug reports
    that can be handled in an effective fashion. No one is required to follow
!   them but doing so tends to be to everyone's advantage.
   </para>
  
   <para>
***************
*** 204,220 ****
  
      <listitem>
       <para>
!       Any command line options and other start-up options, including concerned
!       environment variables or configuration files that you changed from the
!       default. Again, be exact. If you are using a prepackaged
!       distribution that starts the database server at boot time, you should try
!       to find out how that is done.
       </para>
      </listitem>
  
      <listitem>
       <para>
!       Anything you did at all differently from the installation instructions.
       </para>
      </listitem>
  
--- 204,222 ----
  
      <listitem>
       <para>
!       Any command line options and other start-up options, including
!       any relevant environment variables or configuration files that
!       you changed from the default. Again, please provide exact
!       information. If you are using a prepackaged distribution that
!       starts the database server at boot time, you should try to find
!       out how that is done.
       </para>
      </listitem>
  
      <listitem>
       <para>
!       Anything you did at all differently from the installation
!       instructions.
       </para>
      </listitem>
  
***************
*** 234,242 ****
       </para>
  
       <para>
!       If your version is older than &version; we will almost certainly tell
!       you to upgrade. There are tons
!       of bug fixes in each new release, that is why we make new releases.
       </para>
       <para>
       </para>
--- 236,249 ----
       </para>
  
       <para>
!       If your version is older than &version; we will almost certainly
!       tell you to upgrade. There are many bug fixes and improvements
!       in each new release, so it is quite possible that a bug you have
!       encountered in an older release of <productname>PostgreSQL</>
!       has already been fixed. We can only provide limited support for
!       sites using older releases of PostgreSQL; if you require more
!       than we can provide, consider acquiring a commercial support
!       contract.
       </para>
       <para>
       </para>
***************
*** 244,255 ****
  
      <listitem>
       <para>
!       Platform information. This includes the kernel name and version, C library,
!       processor, memory information. In most cases it is sufficient to report
!       the vendor and version, but do not assume everyone knows what exactly
!       <quote>Debian</quote> contains or that everyone runs on Pentiums. If
!       you have installation problems then information about compilers, make,
!       etc. is also necessary.
       </para>
      </listitem>
     </itemizedlist>
--- 251,264 ----
  
      <listitem>
       <para>
!       Platform information. This includes the kernel name and version,
!       C library, processor, memory information, and so on. In most
!       cases it is sufficient to report the vendor and version, but do
!       not assume everyone knows what exactly <quote>Debian</quote>
!       contains or that everyone runs on Pentiums. If you have
!       installation problems then information about the toolchain on
!       your machine (compiler, <application>make</application>, and so
!       on) is also necessary.
       </para>
      </listitem>
     </itemizedlist>
***************
*** 269,275 ****
    </para>
  
    <para>
!    When writing a bug report, please choose non-confusing terminology.
     The software package in total is called <quote>PostgreSQL</quote>,
     sometimes <quote>Postgres</quote> for short. If you
     are specifically talking about the backend server, mention that, do not
--- 278,284 ----
    </para>
  
    <para>
!    When writing a bug report, please avoid confusing terminology.
     The software package in total is called <quote>PostgreSQL</quote>,
     sometimes <quote>Postgres</quote> for short. If you
     are specifically talking about the backend server, mention that, do not
Index: doc/src/sgml/ref/lock.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/ref/lock.sgml,v
retrieving revision 1.39
diff -c -r1.39 lock.sgml
*** doc/src/sgml/ref/lock.sgml	29 Nov 2003 19:51:39 -0000	1.39
--- doc/src/sgml/ref/lock.sgml	10 Dec 2003 21:15:56 -0000
***************
*** 108,116 ****
       </para>
  
       <para>
!       The command <literal>LOCK a, b;</> is equivalent to
!       <literal>LOCK a; LOCK b;</>. The tables are locked one-by-one in
!       the order specified in the <command>LOCK</command> command.
       </para>
      </listitem>
     </varlistentry>
--- 108,117 ----
       </para>
  
       <para>
!       The command <literal>LOCK TABLE a, b;</> is equivalent to
!       <literal>LOCK TABLE a; LOCK TABLE b;</>. The tables are locked
!       one-by-one in the order specified in the <command>LOCK
!       TABLE</command> command.
       </para>
      </listitem>
     </varlistentry>
***************
*** 136,152 ****
    <title>Notes</title>
  
     <para>
!     <literal>LOCK ... IN ACCESS SHARE MODE</> requires <literal>SELECT</>
      privileges on the target table.  All other forms of <command>LOCK</>
      require <literal>UPDATE</> and/or <literal>DELETE</> privileges.
     </para>
  
     <para>
!     <command>LOCK</command> is useful only inside a transaction block
!     (<command>BEGIN</>/<command>COMMIT</> pair), since the lock is dropped
!     as soon as the transaction ends.  A <command>LOCK</> command appearing
!     outside any transaction block forms a self-contained transaction, so the
!     lock will be dropped as soon as it is obtained.
     </para>
  
    <para>
--- 137,154 ----
    <title>Notes</title>
  
     <para>
!     <literal>LOCK TABLE ... IN ACCESS SHARE MODE</> requires <literal>SELECT</>
      privileges on the target table.  All other forms of <command>LOCK</>
      require <literal>UPDATE</> and/or <literal>DELETE</> privileges.
     </para>
  
     <para>
!     <command>LOCK TABLE</command> is useful only inside a transaction
!     block (<command>BEGIN</>/<command>COMMIT</> pair), since the lock
!     is dropped as soon as the transaction ends.  A <command>LOCK
!     TABLE</> command appearing outside any transaction block forms a
!     self-contained transaction, so the lock will be dropped as soon as
!     it is obtained.
     </para>
  
    <para>
***************
*** 157,163 ****
     <literal>ROW EXCLUSIVE</> mode is a sharable table lock.  Keep in
     mind that all the lock modes have identical semantics so far as
     <command>LOCK TABLE</> is concerned, differing only in the rules
!    about which modes conflict with which.
    </para>
   </refsect1>
    
--- 159,169 ----
     <literal>ROW EXCLUSIVE</> mode is a sharable table lock.  Keep in
     mind that all the lock modes have identical semantics so far as
     <command>LOCK TABLE</> is concerned, differing only in the rules
!    about which modes conflict with which. For information on how to
!    acquire an actual row-level lock, see <xref linkend="locking-rows">
!    and the <xref linkend="sql-for-update"
!    endterm="sql-for-update-title"> in the <command>SELECT</command>
!    reference documentation.
    </para>
   </refsect1>
    
